<?php
/**
 * Theme footer content
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @since 1.0
 * @package evaWp
 */ ?>
 	<div class="evawp-footer-area-wrapper"> 	
		<div>	
			<?php do_action( 'evawp_before_footer' ); ?>
			<footer <?php evawp_schema_for_tags( 'footer' ) ?> class="evawp-footer-section">
				<?php do_action( 'evawp_before_inside_footer' ); ?>
				<div class="evawp-widget-area">
		            <div class="container-fluid">
		                <div class="row">
		                 	<?php $num = evawp_customizer_get( 'footer_widget_area', '4' );
	                 		for( $i = 1; $i <= $num ; $i++ ){
	                 			if ( is_active_sidebar( 'evawp_footer_' . $i ) ) :
			                 		echo '<div class="col evawp-widget-wrapper py-5">';
			                 	    	dynamic_sidebar( 'evawp_footer_' . $i );
			                 		echo '</div>';
		                 		endif;
	                 		} ?>
		                </div>
		            </div>
				</div>
				<div class="evawp-copyright-area-wrapper">
					<div class="evawp-copyright-area">					
						<div class="evawp-footer-copyright">
							<?php echo evawp_customizer_get( 'copyright_text', esc_html__( 'Copyright &copy; All right reserved', 'evawp' ) ); ?>
						</div>
						<div class="evawp-footer-logo">
							<?php evawp_footer_logo(); ?>
						</div>
						<div class="evawp-footer-credit">
							<a href="<?php echo esc_url( '#' ); ?>" target="_blank">
								<?php esc_html_e( 'evaWp', 'evawp' ); ?>
							</a>
							<?php esc_html_e( 'Theme By ' , 'evawp' ); ?>
							<a href="<?php echo esc_url( '//www.evawp.com' ); ?>" target="_blank">
								<?php echo esc_html( 'evaWP' ); ?>
							</a>
						</div>
					</div>
				</div>
				<?php do_action( 'evawp_after_inside_footer' ); ?>
			</footer>
			<?php do_action( 'evawp_after_footer' ); ?>
		</div>
	</div>
	<?php wp_footer(); ?>
 	</body>
 </html>