<?php 
/**
 * Fields for Footer options
 * @since 1.0
 * @package evaWp
 */
function evawp_footer_options(){	
	evawp_add_sections_and_fields( array(
		'section' => array(
			'id' => 'footer_options',
			'title' => esc_html__( 'Footer Options', 'evawp' ),
			'panel' => 'general_options',
			'priority' => 20,
		),
		'fields' => array(
			'footer_widget_area' => array(
				'type' => 'radio-buttonset',
				'label' => esc_html__( 'Widget Area Number', 'evawp' ),
				'default' => '4',
				'priority' => 10,
				'choices'     => array(
					'1' => esc_html__( 'One', 'evawp' ),
					'2' => esc_html__( 'Two', 'evawp' ),
					'3' => esc_html__( 'Three', 'evawp' ),
					'4' => esc_html__( 'Four', 'evawp' )					
				)
			),
			'copyright_text' => array(
				'type'        => 'textarea',
				'label'       => esc_html__( 'Copyright', 'evawp' ),
				'default'     => esc_html__( 'Copyright &copy; All right reserved', 'evawp' )
			),
		)
	));
}

add_action( 'init', 'evawp_footer_options' );