<?php 
/**
 * Fields for Post options
 * @since 1.0
 * @package evaWp
 */
function evawp_post_options(){	
	evawp_add_sections_and_fields( array(
		'section' => array(
			'id' => 'post_options',
			'title' => esc_html__( 'Post Options', 'evawp' ),
			'panel' => 'general_options',
			'priority' => 20,
		),
		'fields' => array(
			'excerpt_length' => array(
				'type'        => 'number',
				'label'       => esc_html__( 'Excerpt Length', 'evawp' ),
				'default'     => 30,
			),
			'read_more_text' => array(
				'type'        => 'text',
				'label'       => esc_html__( 'Read More Text', 'evawp' ),
				'default'     => esc_html__( 'Read more', 'evawp' )
			),
			'post_per_row' => array(
				'type' => 'radio-buttonset',
				'label' => esc_html__( 'Post Per Row', 'evawp' ),
				'default' => '2',
				'priority' => 10,
				'choices'     => array(
					'1' => esc_html__( '1', 'evawp' ),
					'2' => esc_html__( '2', 'evawp' ),
					'3' => esc_html__( '3', 'evawp' ),
					'4' => esc_html__( '4', 'evawp' )					
				)
			)
		)
	));
}

add_action( 'init', 'evawp_post_options' );