<?php 
function evawp_site_options(){	
	evawp_add_sections_and_fields( array(
		'section' => array(
			'id' => 'site_options',
			'title' => esc_html__( 'Site Options', 'evawp' ),
			'panel' => 'general_options',
			'priority' => 10,
		),
		'fields' => array(
			'enable_pre_loader' => array(
				'label'       => esc_html__( 'Enable Preloader', 'evawp' ),
				'type'        => 'toggle',
				'default'     => false,
				'priority'    => 10,
			),
			'site_layout' => array(
				'label'       => esc_html__( 'Site Layout', 'evawp' ),
				'type'        => 'radio-buttonset',
				'default'     => 'default',
				'priority'    => 20,
				'choices'     => array(
					'default' => esc_html__( 'Default', 'evawp' ),
					'boxed'  => esc_html__( 'Boxed', 'evawp' ),
				)
			),
			'pagination_format' => array(
			    'label'   => esc_html__( 'Pagination', 'evawp' ),
			    'type'    => 'radio-buttonset',
			    'default' => 'number',
			    'choices' => array(
			        'number' => esc_html__( 'Number', 'evawp' ),
			        'loadmore'  => esc_html__( 'Load More', 'evawp' ),
			    )
			),
			'loadmore_post_text' => array(
			    'label' => esc_html__( 'Load More Button Text', 'evawp' ),
			    'type' => 'text',
			    'default' => esc_html__( 'Load More', 'evawp' ),
			    'active_callback' => array(
    				array(
	    				'setting'  => 'evawp_pagination_format_setting',
	    				'operator' => '==',
	    				'value'    => 'loadmore',	
    				)
			    ),
			)
		)
	));
}

add_action( 'init', 'evawp_site_options' );